CREATE TABLE "INVOICE" (
    "ID" BIGINT NOT NULL PRIMARY KEY GENERATED ALWAYS AS IDENTITY,
    "NUMBER" CHAR(10) NOT NULL,
    "CUSTOMER" VARCHAR(255) NOT NULL,
    "ISSUED" TIMESTAMP
);


CREATE TABLE "INVOICEROW" (
    "ID" BIGINT NOT NULL PRIMARY KEY GENERATED ALWAYS AS IDENTITY,
    "INVOICEID" BIGINT REFERENCES INVOICE (ID),
    "DESCRIPTION" VARCHAR(255) NOT NULL,
    "AMOUNT" NUMERIC(10,3) NOT NULL,
    "UNITPRICE" NUMERIC(10,2) NOT NULL
);
